
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_dis_evento_estadoEvento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_dis_evento_estadoEvento]
GO
CREATE PROCEDURE [reg_dis_evento_estadoEvento]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[evento_estadoEvento] AS [evento_estadoEvento],
		[id_evento] AS [id_evento],
		[id_estadoEvento] AS [id_estadoEvento],
		[fechaHoraRegistro_fh] AS [fechaHoraRegistro_fh],
		[afectaCliente] AS [afectaCliente],
		[id_sistema] AS [id_sistema]
	FROM [dis_evento_estadoEvento]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_dis_evento_estadoEvento]')) DROP VIEW [dbo].[view_dis_evento_estadoEvento]
GO
CREATE  VIEW [view_dis_evento_estadoEvento] AS
SELECT 	[dis_evento_estadoEvento].[id] AS [id],
		[dis_evento_estadoEvento].[uid] AS [uid],
		[dis_evento_estadoEvento].[eid] AS [eid],
		[dis_evento_estadoEvento].[id_usuario_modifico] AS [id_usuario_modifico],
		[dis_evento_estadoEvento].[id_usuario_creo] AS [id_usuario_creo],
		[dis_evento_estadoEvento].[fechaModificacion] AS [fechaModificacion],
		[dis_evento_estadoEvento].[fechaCreacion] AS [fechaCreacion],
		[dis_evento_estadoEvento].[active] AS [active],
		[dis_evento_estadoEvento].[evento_estadoEvento] AS [evento_estadoEvento],
		[dis_evento_estadoEvento].[id_evento] AS [id_evento],
[dis_evento].[evento] as [dis_evento_evento],
[dis_evento].[evento_codigo] as [dis_evento_evento_codigo],
[dis_evento].[fechaHoraInicio_ff] as [dis_evento_fechaHoraInicio_ff],
[dis_evento].[duracion_hh] as [dis_evento_duracion_hh],
[dis_evento].[afectaProduccion] as [dis_evento_afectaProduccion],
[dis_evento].[notas] as [dis_evento_notas],
[dis_evento].[id_equipo] as [dis_evento_id_equipo],
[dis_evento].[id_motivoEvento] as [dis_evento_id_motivoEvento],
[dis_evento].[id_usuario] as [dis_evento_id_usuario],
[dis_evento].[id_estadoEquipo] as [dis_evento_id_estadoEquipo],
[dis_evento].[id_falla] as [dis_evento_id_falla],
[dis_evento].[id_falla_causa] as [dis_evento_id_falla_causa],
[dis_evento].[id_metodoDeteccion] as [dis_evento_id_metodoDeteccion],
[dis_evento].[fechaHoraEstimada_fh] as [dis_evento_fechaHoraEstimada_fh],
[dis_evento].[eventoTipo] as [dis_evento_eventoTipo],
[dis_evento].[afectaCliente] as [dis_evento_afectaCliente],
[dis_evento].[id_estadoEvento] as [dis_evento_id_estadoEvento],
		[dis_evento_estadoEvento].[id_estadoEvento] AS [id_estadoEvento],
[dis_estadoEvento].[estadoEvento] as [dis_estadoEvento_estadoEvento],
[dis_estadoEvento].[estadoEvento_codigo] as [dis_estadoEvento_estadoEvento_codigo],
		[dis_evento_estadoEvento].[fechaHoraRegistro_fh] AS [fechaHoraRegistro_fh],
		[dis_evento_estadoEvento].[afectaCliente] AS [afectaCliente],
		[dis_evento_estadoEvento].[id_sistema] AS [id_sistema],
[cat_sistema].[sistema] as [cat_sistema_sistema],
[cat_sistema].[sistema_codigo] as [cat_sistema_sistema_codigo],
[cat_sistema].[id_sistema] as [cat_sistema_id_sistema],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [dis_evento_estadoEvento]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[dis_evento_estadoEvento].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[dis_evento_estadoEvento].[id_usuario_creo]
	INNER JOIN [dis_evento] ON [dis_evento].id=[dis_evento_estadoEvento].[id_evento]
	INNER JOIN [dis_estadoEvento] ON [dis_estadoEvento].id=[dis_evento_estadoEvento].[id_estadoEvento]
	INNER JOIN [cat_sistema] ON [cat_sistema].id=[dis_evento_estadoEvento].[id_sistema]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [dis_evento_estadoEvento].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_estadoEventosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_estadoEventosXusuario_modifico]
GO
CREATE PROCEDURE [sel_dis_evento_estadoEventosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_dis_evento_estadoEvento]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_estadoEventosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_estadoEventosXusuario_creo]
GO
CREATE PROCEDURE [sel_dis_evento_estadoEventosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_dis_evento_estadoEvento]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_estadoEventosXevento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_estadoEventosXevento]
GO
CREATE PROCEDURE [sel_dis_evento_estadoEventosXevento]
	@p_id_evento INT
AS
BEGIN
	SELECT * 
	FROM [view_dis_evento_estadoEvento]
	WHERE ([id_evento]= @p_id_evento)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_estadoEventosXestadoEvento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_estadoEventosXestadoEvento]
GO
CREATE PROCEDURE [sel_dis_evento_estadoEventosXestadoEvento]
	@p_id_estadoEvento INT
AS
BEGIN
	SELECT * 
	FROM [view_dis_evento_estadoEvento]
	WHERE ([id_estadoEvento]= @p_id_estadoEvento)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_estadoEventosXsistema]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_estadoEventosXsistema]
GO
CREATE PROCEDURE [sel_dis_evento_estadoEventosXsistema]
	@p_id_sistema INT
AS
BEGIN
	SELECT * 
	FROM [view_dis_evento_estadoEvento]
	WHERE ([id_sistema]= @p_id_sistema)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_estadoEventos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_estadoEventos]
GO
CREATE PROCEDURE [sel_dis_evento_estadoEventos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_dis_evento_estadoEvento]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_dis_evento_estadoEventos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_dis_evento_estadoEventos]
GO
CREATE PROCEDURE [lis_dis_evento_estadoEventos]
	AS
BEGIN
	SELECT id AS id,
[evento_estadoEvento] AS [dis_evento_estadoEvento]
	FROM [dis_evento_estadoEvento]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_dis_evento_estadoEvento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_dis_evento_estadoEvento]
GO
CREATE PROCEDURE [upd_dis_evento_estadoEvento]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_evento_estadoEvento varchar(300) = null,
		@p_id_evento int = null,
		@p_id_estadoEvento int = null,
		@p_fechaHoraRegistro_fh smalldatetime = null,
		@p_afectaCliente bit = null,
		@p_id_sistema int = null
AS
BEGIN
		UPDATE [dis_evento_estadoEvento]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[evento_estadoEvento] = isnull(@p_evento_estadoEvento,[evento_estadoEvento]),
			[id_evento] = isnull(@p_id_evento,[id_evento]),
			[id_estadoEvento] = isnull(@p_id_estadoEvento,[id_estadoEvento]),
			[fechaHoraRegistro_fh] = isnull(@p_fechaHoraRegistro_fh,[fechaHoraRegistro_fh]),
			[afectaCliente] = isnull(@p_afectaCliente,[afectaCliente]),
			[id_sistema] = isnull(@p_id_sistema,[id_sistema])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_dis_evento_estadoEvento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_dis_evento_estadoEvento]
GO
CREATE PROCEDURE [ins_dis_evento_estadoEvento]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_evento_estadoEvento varchar(300),
		@p_id_evento int,
		@p_id_estadoEvento int,
		@p_fechaHoraRegistro_fh smalldatetime,
		@p_afectaCliente bit,
		@p_id_sistema int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [dis_evento_estadoEvento]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[evento_estadoEvento],
			[id_evento],
			[id_estadoEvento],
			[fechaHoraRegistro_fh],
			[afectaCliente],
			[id_sistema])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_evento_estadoEvento,
			@p_id_evento,
			@p_id_estadoEvento,
			@p_fechaHoraRegistro_fh,
			@p_afectaCliente,
			@p_id_sistema)
		SET @v_id = scope_identity()
UPDATE [dis_evento_estadoEvento] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_dis_evento_estadoEvento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_dis_evento_estadoEvento]
GO
CREATE PROCEDURE [act_dis_evento_estadoEvento]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [dis_evento_estadoEvento]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_dis_evento_estadoEvento_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_dis_evento_estadoEvento_m]
GO
CREATE PROCEDURE [reg_dis_evento_estadoEvento_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[evento_estadoEvento] AS [evento_estadoEvento],
		[id_evento] AS [id_evento],
		[id_estadoEvento] AS [id_estadoEvento],
		[fechaHoraRegistro_fh] AS [fechaHoraRegistro_fh],
		[afectaCliente] AS [afectaCliente],
		[id_sistema] AS [id_sistema]
	FROM [dis_evento_estadoEvento]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_estadoEventosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_estadoEventosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_dis_evento_estadoEventosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_dis_evento_estadoEvento]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_estadoEventosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_estadoEventosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_dis_evento_estadoEventosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_dis_evento_estadoEvento]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_estadoEventosXevento_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_estadoEventosXevento_m]
GO
CREATE PROCEDURE [sel_dis_evento_estadoEventosXevento_m]
	@p_id_evento INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_dis_evento_estadoEvento]
	WHERE ([id_evento]= @p_id_evento)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_estadoEventosXestadoEvento_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_estadoEventosXestadoEvento_m]
GO
CREATE PROCEDURE [sel_dis_evento_estadoEventosXestadoEvento_m]
	@p_id_estadoEvento INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_dis_evento_estadoEvento]
	WHERE ([id_estadoEvento]= @p_id_estadoEvento)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_estadoEventosXsistema_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_estadoEventosXsistema_m]
GO
CREATE PROCEDURE [sel_dis_evento_estadoEventosXsistema_m]
	@p_id_sistema INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_dis_evento_estadoEvento]
	WHERE ([id_sistema]= @p_id_sistema)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_estadoEventos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_estadoEventos_m]
GO
CREATE PROCEDURE [sel_dis_evento_estadoEventos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_dis_evento_estadoEvento]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_dis_evento_estadoEventos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_dis_evento_estadoEventos_m]
GO
CREATE PROCEDURE [lis_dis_evento_estadoEventos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[evento_estadoEvento] AS [dis_evento_estadoEvento]
	FROM [dis_evento_estadoEvento]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_dis_evento_estadoEvento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_dis_evento_estadoEvento]
GO
CREATE PROCEDURE [aud_dis_evento_estadoEvento]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [dis_evento_estadoEvento].id as id_tabla,
	[dis_evento_estadoEvento].id_usuario_modifico as id_usuario_modifico,
	[dis_evento_estadoEvento].id_usuario_creo as id_usuario_creo,
	[dis_evento_estadoEvento].fechaModificacion as fechaModificacion,
	[dis_evento_estadoEvento].fechaCreacion as fechaCreacion,
	[dis_evento_estadoEvento].active as active,
	[dis_evento_estadoEvento].[evento_estadoEvento] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [dis_evento_estadoEvento]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[dis_evento_estadoEvento].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[dis_evento_estadoEvento].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'dis_evento_estadoEvento'
-----------------------------------28/11/2012 03:58:52 p.m.